/*
 * Copyright 2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */
package io.atomix.copycat.client;

import org.testng.annotations.Test;

import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.verify;

/**
 * Session recovery strategies test.
 *
 * @author <a href="http://github.com/kuujo>Jordan Halterman</a>
 */
@Test
public class RecoveryStrategiesTest {

  /**
   * Tests the RECOVER recovery strategy.
   */
  public void testRecoverStrategy() throws Throwable {
    RecoveryStrategy strategy = RecoveryStrategies.RECOVER;
    CopycatClient client = mock(CopycatClient.class);
    strategy.recover(client);
    verify(client).recover();
  }

  /**
   * Tests the CLOSE recovery strategy.
   */
  public void testCloseStrategy() throws Throwable {
    RecoveryStrategy strategy = RecoveryStrategies.CLOSE;
    CopycatClient client = mock(CopycatClient.class);
    strategy.recover(client);
    verify(client).close();
  }

}
